%define gitref	7657cf74bf86499919689de05ec9db7349f3f219
%define gitref_short 7657cf

Summary:	C# desktop notification client
Name:		notify-sharp
Version:	0.4.0
Release:	%mkrel 6.git.%{gitref_short}.13
License:	MIT
Group:		System/Libraries
Url:		https://github.com/manish/notify-sharp
# downloaded from https://github.com/manish/notify-sharp/tree/%{gitref}
# Old URLs for download don't work anymore
Source0:	notify-sharp-%{gitref}.zip 
Patch0:		notify-sharp-0.4.0-6.git.7657cf.1-fix-pkgconfig-path.patch
BuildRequires:	pkgconfig(mono)
BuildRequires:	monodoc
BuildRequires:	pkgconfig(gtk-sharp-2.0)
BuildRequires:	pkgconfig(dbus-sharp-glib-1.0)
BuildRequires:	pkgconfig(monodoc)
BuildArch:	noarch
%global __requires_exclude lib.*glib

%description
notify-sharp is a C# client implementation for Desktop Notifications,
i.e. notification-daemon. It is inspired by the libnotify API.

Desktop Notifications provide a standard way of doing passive pop-up
notifications on the Linux desktop. These are designed to notify the
user of something without interrupting their work with a dialog box
that they must close. Passive popups can automatically disappear after
a short period of time.

%package devel
Summary:	Development files for %name
Group:		Development/Other
Requires:	%name = %version-%release

%description devel
dbus-sharp is a C# implementation of D-Bus. It's often referred to as
"managed D-Bus" to avoid confusion with existing bindings (which wrap
libdbus).

D-Bus is an inter-process communication framework that lets
applications interface with the system event bus as well as allowing
them to talk to one another in a peer-to-peer configuration.

%package doc
Summary:	Development documentation for %name
Group:		Development/Other
Requires(post):	monodoc
Requires(postun): monodoc

%description doc
This package contains the API documentation for the %name in
Monodoc format.

%prep
%setup -q -n notify-sharp-%{gitref}
%patch0
sed -i "s#gmcs#mcs#g" configure.ac

%build
autoreconf -vif
./configure --prefix=%_prefix
make

%install
%make_install pkgconfigdir=%_datadir/pkgconfig

%post doc
%_bindir/monodoc --make-index > /dev/null

%postun doc
if [ "$1" = "0" -a -x %_bindir/monodoc ]; then %_bindir/monodoc --make-index > /dev/null
fi

%files
%doc AUTHORS NEWS README
%_prefix/lib/mono/gac/notify-sharp
%_prefix/lib/mono/notify-sharp

%files devel
%doc ChangeLog
%_datadir/pkgconfig/notify-sharp.pc

%files doc
%_prefix/lib/monodoc/sources/notify-sharp-docs.*


%changelog
* Wed Jul 17 2024 pterjan <pterjan> 0.4.0-6.git.7657cf.13.mga10
+ Revision: 2081975
- Use monodoc instead of mono-tools

* Fri Apr 01 2022 umeabot <umeabot> 0.4.0-6.git.7657cf.12.mga9
+ Revision: 1839194
- Mageia 9 Mass Rebuild

* Mon Sep 21 2020 tv <tv> 0.4.0-6.git.7657cf.11.mga8
+ Revision: 1629242
- rebuild mono fixed mono for proper mono provides & requires...

* Mon Sep 21 2020 tv <tv> 0.4.0-6.git.7657cf.10.mga8
+ Revision: 1629193
- rebuild for new mono

* Wed Feb 12 2020 umeabot <umeabot> 0.4.0-6.git.7657cf.9.mga8
+ Revision: 1492663
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.4.0-6.git.7657cf.8.mga7
+ Revision: 1265370
- Mageia 7 Mass Rebuild

* Sun Jan 31 2016 barjac <barjac> 0.4.0-6.git.7657cf.7.mga6
+ Revision: 929643
- change buildrequire for dbus-sharp-glib-1.0
- use pkgconfig style buildrequires
- tidy spec

* Thu Dec 03 2015 tv <tv> 0.4.0-6.git.7657cf.6.mga6
+ Revision: 907908
- re-enable docs
- disable docs
- make sure fix is used
- fix finding mono4 compiler

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-6.git.7657cf.5.mga5
+ Revision: 744432
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-6.git.7657cf.4.mga5
+ Revision: 682923
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 0.4.0-6.git.7657cf.3.mga4
+ Revision: 508338
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 stormi <stormi> 0.4.0-6.git.7657cf.1.mga3
+ Revision: 344353
- fix pkgconfig path in devel package

* Wed Jan 09 2013 stormi <stormi> 0.4.0-6.git.7657cf.mga3
+ Revision: 343917
- use more recent sources from https://github.com/manish/notify-sharp

* Thu Mar 24 2011 boklm <boklm> 0.4.0-5.mga1
+ Revision: 76195
- rebuild for bug #497

* Tue Mar 15 2011 ennael <ennael> 0.4.0-4.mga1
+ Revision: 72007
- clean spec file
- imported package notify-sharp

